package com.gic.cloud.data.hook.api.service;

import com.gic.cloud.common.api.base.Page;
import com.gic.cloud.data.hook.api.dto.DownloadRecord;
import com.gic.cloud.data.hook.api.dto.DownloadTask;
import com.gic.cloud.data.hook.api.dto.RiskModeRecord;

import java.util.Date;
import java.util.List;

/** 下载任务服务
 * @author Sam
 */
public interface IDownloadTaskService {

	/** 获取指定用户的所有下载任务
	 * @param userId
	 * @return
	 */
	public Page<DownloadTask> getDownloadTaskPage(String userId, String fuzzy, Integer pageNum, Integer pageSize);

	/** 删除指定的下载任务
	 * @param taskId
	 * @return
	 */
	public Boolean deleteDownloadTask(String taskId);

	/** 创建一个下载记录
	 * @param taskId
	 * @param userId
	 * @param userName
	 * @param enterpriseId
	 * @return
	 */
	public Integer createDownloadRecord(String taskId, String userId, String userName, String enterpriseId);

	/** 创建下载记录分页
	 * @param userId
	 * @param enterpriseId
	 * @param fuzzy
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	public Page<DownloadRecord> getDownloadRecordPage(String userId, String enterpriseId, Date startTime, Date endTime, Integer queryDataType, String fuzzyRange, String fuzzy, Integer pageNum, Integer pageSize);

	/** 创建风险模式记录
	 * @param riskModeRecord
	 */
	public void createRiskModeRecord(RiskModeRecord riskModeRecord);

	/** 获取风险模式记录分页
	 * @param enterpriseId
	 * @param startTime
	 * @param endTime
	 * @param riskDuration
	 * @param fuzzyRange
	 * @param fuzzy
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	public Page<RiskModeRecord> getRiskModeRecordPage(String enterpriseId, Date startTime, Date endTime, Integer riskDuration, String fuzzyRange, String fuzzy, Integer pageNum, Integer pageSize);

}
