package com.gic.cloud.data.hook.service;

import cn.medubi.client.utils.LogPak;
import org.springframework.beans.BeansException;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;
import org.springframework.stereotype.Component;

import javax.sql.DataSource;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

/** Hive 辅助工具类
 * @author Sam
 */
@Component
public class HiveHelper implements ApplicationContextAware {

	/** 日志类 */
	private static LogPak log = new LogPak(HiveHelper.class);

	/** 内置数据源 */
	private static DataSource source = null;

	@Override
	public void setApplicationContext(ApplicationContext applicationContext) throws BeansException {
		log.debug("setApplicationContext", "准备初始化 Hive 连接池");
		source = (DataSource)applicationContext.getBean("hiveSource");
	}

	/** 获取 Hive 数据源
	 * @return
	 */
//	public static DataSource getDataSource() {
//		return source;
//	}

	/** 获取一个 Hive 的连接
	 * @return
	 */
	public static Connection getHiveConnection() {
		Connection conn = null;
		try {
//			String url = "jdbc:hive2://115.159.205.44:10015/data_test";
//			//String url = "jdbc:hive2://10.0.0.3:10015/data_test";
//			Class.forName("org.apache.hive.jdbc.HiveDriver");
//			conn = DriverManager.getConnection(url, "hadoop", "");
			conn = source.getConnection();
			
			return conn;
		} catch (Exception ex) {
			ex.printStackTrace();
			if (conn != null) {
				try {
					conn.close();
				} catch (SQLException e) {
					e.printStackTrace();
				}
			}
			return null;
		} // TRY CATCH OVER
	}


}
