package com.gic.cloud.data.hook.service.dao;

import com.gic.cloud.data.hook.api.dto.DownloadRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/** 下载日志 DAO
 * @author Sam
 */
@Mapper
public interface DownloadRecordDao {

	/** 创建下载日志
	 * @param record
	 * @return
	 */
	public Integer createDownloadRecord(DownloadRecord record);

	/** 获取的下载日志
	 * @param userId
	 * @param enterpriseId
	 * @param fuzzy
	 * @return
	 */
	public List<DownloadRecord> getDownloadRecordList(@Param("userId") String userId, @Param("enterpriseId") String enterpriseId,
	                                                  @Param("startTime") Date startTime, @Param("endTime") Date endTime, @Param("queryDataType") Integer queryDataType,
	                                                  @Param("fuzzyRange") String fuzzyRange, @Param("fuzzy") String fuzzy);

}
