package com.gic.cloud.data.hook.service.dao;

import com.gic.cloud.data.hook.api.dto.FlatQueryTable;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/** 自助查询表信息 Mapper
 * @author Sam
 */
@Mapper
public interface FlatQueryTableDao {

	/** 获取指定编号的自助查询表信息
	 * @param userId 用户主键
	 * @param tableId 表主键
	 * @return
	 */
	FlatQueryTable getFlatQueryTableById(@Param("userId") String userId, @Param("tableId") String tableId);

	/** 获取所有的自助查询表信息
	 * @param userId 用户主键
	 * @param fuzzy 模糊查询条件
	 * @return 自助查询表信息列表
	 */
	List<FlatQueryTable> getFlatQueryTable(@Param("userId") String userId, @Param("fuzzy") String fuzzy);

	/** 更新自助查询表信息
	 * @param table
	 * @return
	 */
	int updateFlatQueryTable(FlatQueryTable table);



}
